#include "syscall.h"
#include "uart.h"
#include "task.h"
void syscall_handle(uint64_t n,uint64_t a1,uint64_t a2,uint64_t a3){
    switch(n){
        case SYS_WRITE: uart_puts((char*)a1); break;
        case SYS_YIELD: scheduler_yield(); break;
        case SYS_EXIT: current_task[get_core_id()]->state=TASK_TERMINATED; scheduler_yield(); break;
    }
}